Group: Development/Debuggers
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-epdb
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname epdb
%global sum Extended Python debugger
%global desc epdb is an extended Python debugger.

Name:           python-module-epdb
Version:        0.15
Release:        alt1_8
Summary:        %{sum}

License:        MIT
URL:            https://github.com/sassoftware/%{srcname}
Source0:        https://github.com/sassoftware/%{srcname}/archive/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
Source44: import.info

%description
%{desc}

%package -n python3-module-epdb
Group: Development/Debuggers
Summary:        %{sum}
Requires:       python3-module-future
Requires:       python3-module-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-epdb
%{desc}

%prep
%setup -q -n %{srcname}-%{srcname}-%{version}

%build
%python_build
%python3_build

%install
%python3_install
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{__python3_version}

%python_install
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{__python_version}

# Make symlinks to moved executables
ln -s ./%{srcname}-%{__python_version} %{buildroot}%{_bindir}/%{srcname}-2
ln -s ./%{srcname}-%{__python3_version} %{buildroot}%{_bindir}/%{srcname}-3
ln -s ./%{srcname}-2 %{buildroot}%{_bindir}/%{srcname}

%files -n python-module-epdb
%doc NEWS
%doc --no-dereference LICENSE
%{python_sitelibdir_noarch}/*
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-2
%{_bindir}/%{srcname}-%{__python_version}

%files -n python3-module-epdb
%doc NEWS
%doc --no-dereference LICENSE
%{python3_sitelibdir_noarch}/*
%{_bindir}/%{srcname}-3
%{_bindir}/%{srcname}-%{__python3_version}

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_8
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_7
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_6
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_5
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_4
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_3
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_11
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_10
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_9
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_8
- initial fc import

